O.iricolor_opt.jpg=Ophrys iricolor. \
Underside of the lip entirely purple.                                                                                .                
O.iricolor-2_opt.jpg=Ophrys iricolor.                 \
Reasonably common thru out the East. Med.                                                           .
